[jQuery] jQuery 2.0 - gotowe!

Zobacz komentarze

Podziel się

[jQuery] jQuery 2.0 - gotowe! - http://webprojektant.plPojawiła się długo wyczekiwana biblioteka jQuery 2.0. Zgodnie z zapowiedziami w nowej odsłonie zarzucono obsługę przestarzałych przeglądarek Internet Explorer 6, 7 oraz 8. Dzięki temu jest mniej kodu źródłowego, który działa szybciej i może być używany wszędzie tam, gdzie do tej pory dodatki związane z obsługą starych wersji Internet Explorera powodowały problemy.

Nie oznacza to jednak, że gałąź jQuery 1.9 jest już martwa. Zespół programistów biblioteki informuje, że jest ona cały czas rozwijana i oczywiście nadal działa w IE 6, 7 oraz 8. Dlatego jeśli chcesz, aby Twoje strony dobrze wyglądały w tych przeglądarkach, powinieneś nadal korzystać z jQuery 1.9 (oraz wkrótce jQuery 1.10).

SKĄD POBRAĆ JQUERY 2.0

Pliki ostatecznej wersji biblioteki jQuery 2.0.0 znajdują się w CDN jQuery:

Niedługo pliki powinny pojawić się także w innych sieciach CDN, takich jak Google czy Microsoftu. Przy okazji przypominamy, że w środowisku produkcyjnym należy dołączać konkretną wersję jQuery, niezależnie od tego z którego CDN się korzysta. Innymi słowy żądania typu /2/ i jquery-latest.jssą uważane za nieodpowiednie.

Programiści, którzy do tej pory używali jQuery 1.9, chcący dokonać uaktualnienia do 2.0 powinni skorzystać z pomocy wtyczki jQuery Migrate i przeczytać poradnik uaktualniania jQuery 1.9, ponieważ zmian jest naprawdę dużo. Wtyczka jest bardzo łatwa w obsłudze. Wystarczy dołączyć ją na stronie zaraz za jQuery i przeczytać powiadomienia w konsoli przeglądarki internetowej:

<script src="http://code.jquery.com/jquery-2.0.0.js"></script>  <script src="http://code.jquery.com/jquery-migrate-1.1.1.js"</script>  

ZMIANY WPROWADZONE W WERSJI 2.0

Brak obsługi przeglądarek IE 6, 7 i 8: zmiana ta może mieć także wpływ na IE 9 a nawet 10 działające w trybach zgodności. Aby i uniemożliwić tym przeglądarkom przestawienie się na tryby z czasów epoki kamienia łupanego, można użyć znacznika z X-UA-Compatible albo takiego nagłówka HTTP. Lepszym rozwiązaniem jest nagłówek, ponieważ zapobiega ewentualnemu restartowi parsera przeglądarki.

Mniejszy rozmiar: dzięki usunięciu kodu do obsługi starych wersji Internet Explorera plik jQuery 2.0.0 jest o 12 procent mniejszy od 1.9.1.

Możliwość konfiguracji własnej biblioteki: funkcja budowy własnej konfiguracji biblioteki została wprowadzona w wersji 1.8 i znacznie od tamtej pory ewoluowała. Dzięki możliwości usunięcia kombinacji 12 różnych modułów plik biblioteki może być jeszcze mniejszy niż standardowo.

Zgodność z API jQuery 1.9: API jQuery 2.0 jest zgodne z API 1.9.

Więcej informacji na temat najnowszego produktu jQuery znajduje się na stronie blog.jquery.com

Może się przydać

Top 3 webmaster

Nasze statystyki

Użytkowników:
130
Artykułów:
224
Odsłon artykułów:
3279873